import javax.swing.JPanel;
import java.awt.Graphics;
import java.awt.Color;
import java.awt.Font;


/**
 * @author Ben Coleman
 *
 * A simple panel that is used for the first initialization to inform the user that the program is generating the world
 */
@SuppressWarnings("serial")
public class LoadScreen extends JPanel {

	private final int HEIGHT = 100;
	private final int WIDTH = 310;
	private final int TEXT_AREA_PIXELS_FROM_SIDE = 40;
	private final int TEXT_AREA_PIXELS_FROM_TOP = 55;
	private final int BORDER_WIDTH = 4;
	
	public void paint(Graphics g)
	{
		g.setFont(new Font(Font.SANS_SERIF, Font.BOLD, 16));
		g.setColor(Color.black);
		g.fillRect(0, 0, WIDTH, HEIGHT);
		g.setColor(Color.white);
		g.fillRect(BORDER_WIDTH, BORDER_WIDTH, WIDTH - BORDER_WIDTH * 2, HEIGHT - BORDER_WIDTH * 2);
		g.setColor(Color.black);
		String str = "Please wait, generating world";
		g.drawChars(str.toCharArray(), 0, str.length(), TEXT_AREA_PIXELS_FROM_SIDE, TEXT_AREA_PIXELS_FROM_TOP);
	}
	
}
