
/**
 * @author Ben Coleman
 *
 * Utility file that provides static methods for logging things to a text file.
 */
import java.io.File;
import java.io.FileNotFoundException;
import java.io.PrintWriter;

public class LogUtility 
{
	
	private static boolean isLogging = false;
	private static PrintWriter p = null;
	
	public static void setFile(File file)
	{
		try 
		{
			p = new PrintWriter(file);
		} 
		
		catch (FileNotFoundException e) 
		{
			e.printStackTrace();
		}
		
	}
	
	public static void startLogging()
	{
		isLogging = true;
	}
	
	public static void stopLogging()
	{
		isLogging = false;
	}
	
	public static boolean isLogging()
	{
		return isLogging;
	}
	
	public static void printToLogFile(String str)
	{
		if(isLogging)
		{
			p.println(str);
			p.flush();
		}
		
	}
	
	public static void closeFile()
	{
		if(p != null)
		{
			p.close();
		}
		
	}

}
